Bug 306537

Summary: Sorting a folder view's contents descending cannot be configured from the configuration screen
Product: plasma4 Reporter: Gregor Petrin <gregap>
Component: widget-folderviewAssignee: Ignat Semenov <i.semenov.kde>
Status: RESOLVED FIXED    
Severity: minor CC: bugzilla, plasma-bugs
Priority: NOR    
Version: 4.9.0   
Target Milestone: ---   
Platform: openSUSE RPMs   
OS: Linux   
Latest Commit: Version Fixed In:

Description Gregor Petrin 2012-09-10 10:31:11 UTC
Currently, to sort items in a folder view in a descending way, you have to right-click on the folder view and select Icons -> Sort Icons -> Descending. It is not possible at all from the widget's Settings panel.

A lot of users will never try the right-click and presume that a descending sort is not possible. And there are 2 even worse cases, the first being that touchscreen users probably cannot right click at all. The second case is when the folder view is docked in a panel because the right click displays a different menu (a workaround is to drag the plasmoid to the desktop, do the right-click thing and move the plasmoid back, but this isn't very user friendly or accessible).

Even for desktop users I believe the settings panel is the place where people will look first (after all there is a shortcut icon for it), so the option should be present there.

A descending sort option is very often needed when sorting files by date (e.g. to simulate what certain proprietary operating system do for downloaded files).

I'm classifying this bug as minor because there's a workaround though personally I believe there should be a separate category for relatively easily fixable usability problems.

Reproducible: Always
Comment 1 Janet 2012-09-11 10:09:17 UTC
Though I prefer to have the option in the rightclick menu (feels more naturally for me, especially for "on-the-fly" switching) I agree that it *also* should appear in the settings because the other options are there too. And you absolutely have a point for the case when the widget is in the panel.
Comment 2 Ignat Semenov 2013-03-26 07:34:09 UTC
We have decided to keep the context menu as close to the Display config as possible, expect commits soon.
Comment 3 Ignat Semenov 2013-03-26 11:39:30 UTC
Git commit a5b3430a51a7335921ea74bb728583b42d57cc85 by Ignat Semenov.
Committed on 25/03/2013 at 20:56.
Pushed by isemenov into branch 'plasma/isemenov/menu'.

add "Arrange icons" submenu to the context menu

Allow the user to change icon flow in an icon view using the context menu.

M  +58   -4    plasma/applets/folderview/folderview.cpp
M  +3    -0    plasma/applets/folderview/folderview.h

http://commits.kde.org/kde-baseapps/a5b3430a51a7335921ea74bb728583b42d57cc85
Comment 4 Ignat Semenov 2013-03-26 11:39:30 UTC
Git commit 1af489837462a167898118f6af0c21ed1256154e by Ignat Semenov.
Committed on 26/03/2013 at 12:33.
Pushed by isemenov into branch 'plasma/isemenov/menu'.

add a "Folders first" checkbox to the Display config page

Allow the user to set the "Folders first" option using the Settings dialog.

M  +10   -0    plasma/applets/folderview/folderview.cpp
M  +37   -16   plasma/applets/folderview/folderviewDisplayConfig.ui

http://commits.kde.org/kde-baseapps/1af489837462a167898118f6af0c21ed1256154e
Comment 5 Ignat Semenov 2013-03-26 11:39:30 UTC
Git commit d7905edfea917f3ceb7c17f2969dbb6c6e857dd1 by Ignat Semenov.
Committed on 26/03/2013 at 11:12.
Pushed by isemenov into branch 'plasma/isemenov/menu'.

add a "Sort order" combo to the Display config page

Allow the user to change sorting order using the Settings dialog.

M  +14   -0    plasma/applets/folderview/folderview.cpp
M  +253  -206  plasma/applets/folderview/folderviewDisplayConfig.ui

http://commits.kde.org/kde-baseapps/d7905edfea917f3ceb7c17f2969dbb6c6e857dd1
Comment 6 Ignat Semenov 2013-04-24 13:08:51 UTC
Git commit 08556ebdd337aa8527b429f8ad80a59f6fd5c540 by Ignat Semenov.
Committed on 25/03/2013 at 20:56.
Pushed by isemenov into branch 'master'.

add "Arrange icons" submenu to the context menu

Allow the user to change icon flow in an icon view using the context menu.

M  +58   -4    plasma/applets/folderview/folderview.cpp
M  +3    -0    plasma/applets/folderview/folderview.h

http://commits.kde.org/kde-baseapps/08556ebdd337aa8527b429f8ad80a59f6fd5c540
Comment 7 Ignat Semenov 2013-04-24 13:08:51 UTC
Git commit d77e60ce6b5227480459b595dc7a850b7e040278 by Ignat Semenov.
Committed on 26/03/2013 at 12:33.
Pushed by isemenov into branch 'master'.

add a "Folders first" checkbox to the Display config page

Allow the user to set the "Folders first" option using the Settings dialog.

M  +10   -0    plasma/applets/folderview/folderview.cpp
M  +37   -16   plasma/applets/folderview/folderviewDisplayConfig.ui

http://commits.kde.org/kde-baseapps/d77e60ce6b5227480459b595dc7a850b7e040278
Comment 8 Ignat Semenov 2013-04-24 13:08:51 UTC
Git commit 7fd7f69ab92782195f4904b07fe1a06a5c97b0bc by Ignat Semenov.
Committed on 18/04/2013 at 20:40.
Pushed by isemenov into branch 'master'.

icon arrangement mega-patch for usability and maintainability

This splits the enum IconView::Flow into two enums
- IconView::Layout { Rows, Columns }
- IconView::Alignment { Left, Right }

Note that Qt::Alignment is not used to emphasize the fact that
these two properties are orthogonal (layoutDirection() is used
e.g. to place the scrollbar at the correct side of the screen,
whereas IconView::Alignment is about the side of the screen
the user want their icons to stick to.

This patch greatly improves the readability of the IconView
layouting code, as well as the user-friendliness of the
applet's Display configuration page, with a distinct separation
of the two layout-related factors.

Corresponding context menu actions have been added. They update
the configuration dialog combos when selected if the dialog is
open at that moment.

M  +84   -48   plasma/applets/folderview/folderview.cpp
M  +6    -3    plasma/applets/folderview/folderview.h
M  +232  -240  plasma/applets/folderview/folderviewDisplayConfig.ui
M  +63   -49   plasma/applets/folderview/iconview.cpp
M  +11   -4    plasma/applets/folderview/iconview.h

http://commits.kde.org/kde-baseapps/7fd7f69ab92782195f4904b07fe1a06a5c97b0bc